Logoelepay
Subscriptions

Start subscription

新規(status=new)の定期課金を開始させます。

POST
/subscriptions/{subscriptionId}/start
Subscription ID

Response Body

application/json

OK

TypeScript Definitions

Use the response body type in TypeScript.

curl -X POST "https://api.elepay.io/subscriptions/string/start"
{
  "id": "string",
  "appId": "string",
  "object": "subscription",
  "liveMode": true,
  "customerId": "string",
  "customer": {
    "id": "string",
    "object": "customer",
    "liveMode": true,
    "defaultSource": "string",
    "name": "string",
    "description": "string",
    "email": "string",
    "phone": "string",
    "remark": "string",
    "operator": "string",
    "status": "active",
    "metadata": {},
    "updateTime": 0
  },
  "nextChargeTime": 0,
  "isCharging": true,
  "chargedPeriods": 0,
  "metadata": {},
  "status": "new",
  "createTime": 0,
  "updateTime": 0
}